This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 145606 - CAN-2005-0142 Opened attachments are temporarily saved world-readable
CAN-2005-0142 Opened attachments are temporarily saved world-readable
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=moderate,public=20050120
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 20:42 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 15:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-19 20:42:52 EST
===================================
Mozilla Security Advisory MSA05-002
===================================

Title:      Opened attachments are temporarily saved world-readable
Severity:   Moderate (on a multiuser computer)
Reporter:   danielk

Fixed in:   Firefox 1.0
            Thunderbird 0.9
            Mozilla Suite 1.7.5

Vulnerable: Firefox 0.9
            Thunderbird 0.6
            Mozilla 1.7


Description
-----------
Mozilla software released after March 2004 saves some temporary files with
world-readable permissions. In the browser this is primarily
content fed to helper applications (for example, PDF files), and in
the mail clients it is attachments.


Workaround
----------
Do not open sensitive mail attachments on a shared multiuser machine.
Upgrade to fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=251297
Comment 1 Josh Bressers 2005-01-19 20:43:56 EST
This issue should affect RHEL2.1
Comment 2 Josh Bressers 2005-04-28 15:11:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-384.html

Note You need to log in before you can comment on or make changes to this bug.